# Copyright (c) 2012: Thiago Chaves de Oliveira Horta <shundread@gmail.com>
#
# Authors: Thiago Chaves de Oliveira Horta
#
# License: GPL v3 (see gpl-3.0.txt)

import pygame

# Game speed
Fps = 20

# Graphical constants
DefaultResolution = (320, 320)

# Default values for stuff
UseAlpha=True
ColorKey=(255, 0, 255)

# Scaling (1 block: 32 pixels)
XScale = 32
YScale = 32
TileSize = 16

# Direction states
Down  = 0
Left  = 1
Up    = 2
Right = 3
DirectionMask = Down|Left|Up|Right

# Inanimate action states
Off    = 0
On     = 4
Broken = 8
EntityActionMask = Off|On|Broken

# Actor action states
Wait = 0
Move = 4
Die  = 8
ActorActionMask = Wait|Move|Die

# Player action codes
Menu     = 0
Activate = 1

# Character default info (divisors of 16)
SpeedSluggish = 1
SpeedSlow     = 2
SpeedNormal   = 4
SpeedFast     = 8

# Keyboard info
DefaultDirectionals = {
    Up : [pygame.K_UP, pygame.K_a],
    Down : [pygame.K_DOWN, pygame.K_s],
    Left : [pygame.K_LEFT, pygame.K_a],
    Right : [pygame.K_RIGHT, pygame.K_d]
}

DefaultActions = {
    Menu : [pygame.K_ESCAPE],
    Activate : [pygame.K_SPACE, pygame.K_RETURN, pygame.K_x]
}

