# Copyright (c) 2012: Thiago Chaves de Oliveira Horta <shundread@gmail.com>
#
# Authors: Thiago Chaves de Oliveira Horta
#
# License: GPL v3 (see gpl-3.0.txt)

import pygame

from constant import *

class Input(object):
    def __init__(self):
        self.actions = []

    def add_action(self, action):
        self.action

    def get_actions(self):
        actions = self.actions
        self.actions = []
        return actions

    def update(self, events):
        pass

    def get_directional(self):
        pass

    def get_actions(self):
        pass

class Keyboard(Input):
    def __init__(
        self,
        directional_map=DefaultDirectionals,
        action_map=DefaultActions
    ):
        Input.__init__(self)
        self.up_keys = directional_map[Up]
        self.down_keys = directional_map[Down]
        self.left_keys = directional_map[Left]
        self.right_keys = directional_map[Right]
        self.menu_keys = action_map[Menu]
        self.activate_keys = action_map[Activate]

    def update(self, events):
        Input.update(self, events)
        for e in events:
            if e.key in self.menu_keys:
                self.add_action(Menu)
            elif e.key in self.activate_keys:
                self.add_action(Activate)

    def get_directional(self):
        keys = pygame.key.get_pressed()
        for k in self.up_keys:
            if keys[k]:
                return ( 0, -1)
        for k in self.down_keys:
            if keys[k]:
                return ( 0,  1)
        for k in self.left_keys:
            if keys[k]:
                return (-1,  0)
        for k in self.right_keys:
            if keys[k]:
                return ( 1,  0)
        return (0, 0)


